% This demo (1) load transients signal, then, (2) Run the CPPursuitTour 
% applied to this signal for suited parameter setting, whose options can be
% modified according to your choice.
%

load transients.asc;
s=transients;
n = 512;

	qmf = MakeONFilter('Coiflet',3);
	D   = log2(n);
t=1:512;
[atomic2,resid2] = WPPursuitTour('P',s,D,qmf,512,'Transients');

disp('____________________________________________________ ')
disp(' ')
disp('Hit Any Key to Display, in the Time-Frequency Plane, the ...')
disp('Wavelet Atoms Resulting from the Matching Pursuit Decomposition.')
disp(' ')
disp(' ')

pause

r1=subplot(211);plot(t,s); title('Signal');axis([0 512 -2 2])
r2=subplot(212);ImageAtomicPhase('WP',atomic2,n);
set(r1,'position',[0.1 0.77 0.85 0.2]);%set(r1,'ytick',[0 0 0]);
set(r2,'position',[0.1 0.1 0.85 0.66]);



% "Complex and Chaotic Nonlinear Dynamics. 
% Advances in Economics and Finance, 
% Mathematics and Statistics" 
% T.Vialar, Springer 2009
% Copyright(c).